Skip to main content
GET
/
events
/
sms
/
{smsEventId}
Gets SMS event by ID.
curl --request GET \
  --url https://api.leadping.ai/events/sms/{smsEventId}
{
  "id": "<string>",
  "telnyxId": "<string>",
  "providerMessageId": "<string>",
  "conversationId": "<string>",
  "leadId": "<string>",
  "fromPhoneNumberId": "<string>",
  "outboundPhoneNumberId": "<string>",
  "fromPhoneNumber": "<string>",
  "toPhoneNumber": "<string>",
  "text": "<string>",
  "statusReason": "<string>",
  "direction": "<string>",
  "createdAt": "2023-11-07T05:31:56Z",
  "queuedAt": "2023-11-07T05:31:56Z",
  "scheduledFor": "2023-11-07T05:31:56Z",
  "scheduledReason": "<string>",
  "sendingStartedAt": "2023-11-07T05:31:56Z",
  "sentAt": "2023-11-07T05:31:56Z",
  "deliveredAt": "2023-11-07T05:31:56Z",
  "failedAt": "2023-11-07T05:31:56Z",
  "undeliverableAt": "2023-11-07T05:31:56Z",
  "receivedAt": "2023-11-07T05:31:56Z",
  "blockedAt": "2023-11-07T05:31:56Z",
  "canceledAt": "2023-11-07T05:31:56Z",
  "cancelReason": "<string>",
  "errorCode": "<string>",
  "errorMessage": "<string>",
  "isWarmup": true,
  "tenDlcCampaignId": "<string>",
  "billableAmount": "<string>",
  "billingStatus": "<string>",
  "complianceAction": "<string>",
  "user": "<string>",
  "business": "<string>"
}

Path Parameters

smsEventId
string
required

The ID of the SMS event to retrieve.

Response

Returns the sms event table row.

API DTO containing SMS event data used by Leadping API contracts.

id
string

The unique ID for this SMS event.

telnyxId
string | null

The Telnyx ID associated with this SMS event.

providerMessageId
string | null

The provider message ID associated with this SMS event.

conversationId
string | null

The conversation ID associated with this SMS event.

leadId
string

The lead ID associated with this SMS event.

fromPhoneNumberId
string

The from phone number ID associated with this SMS event.

outboundPhoneNumberId
string

The outbound phone number ID associated with this SMS event.

fromPhoneNumber
string

The phone number associated with this SMS event.

toPhoneNumber
string

The phone number associated with this SMS event.

text
string

The text value for this SMS event.

status
enum<string> | null

Defines the supported SMS Message Status values.

Available options:
draft,
scheduled,
queued,
sending,
sent,
received,
delivered,
failed,
undeliverable,
opted_out,
blocked_compliance,
blocked_billing,
blocked_missing_campaign,
canceled
statusReason
string | null

The human-readable status reason explaining this SMS event.

direction
string

The direction value for this SMS event.

createdAt
string<date-time>

The date and time for the created at value on this SMS event.

queuedAt
string<date-time> | null

The date and time for the queued at value on this SMS event.

scheduledFor
string<date-time> | null

The date and time for the scheduled for value on this SMS event.

scheduledReason
string | null

The human-readable scheduled reason explaining this SMS event.

sendingStartedAt
string<date-time> | null

The date and time for the sending started at value on this SMS event.

sentAt
string<date-time> | null

The date and time for the sent at value on this SMS event.

deliveredAt
string<date-time> | null

The date and time for the delivered at value on this SMS event.

failedAt
string<date-time> | null

The date and time for the failed at value on this SMS event.

undeliverableAt
string<date-time> | null

The date and time for the undeliverable at value on this SMS event.

receivedAt
string<date-time> | null

The date and time for the received at value on this SMS event.

blockedAt
string<date-time> | null

The date and time for the blocked at value on this SMS event.

canceledAt
string<date-time> | null

The date and time for the canceled at value on this SMS event.

cancelReason
string | null

The human-readable cancel reason explaining this SMS event.

errorCode
string | null

The error code value for this SMS event.

errorMessage
string | null

The error message value for this SMS event.

isWarmup
boolean

Whether this SMS event is warmup.

trafficType
enum<string> | null

Defines the supported SMS Traffic Type values.

Available options:
RealLead,
Warmup,
Test,
SystemInternal,
FailedAttempt
tenDlcCampaignId
string | null

The 10DLC campaign ID associated with this SMS event.

billableAmount
string<double> | null

The monetary billable amount for this SMS event.

Pattern: ^-?(?:0|[1-9]\d*)(?:\.\d+)?$
billingStatus
string | null

The current billing status for this SMS event.

complianceAction
string | null

The compliance action value for this SMS event.

user
string

The user value for this SMS event.

business
string

The business value for this SMS event.